Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.openmbean
Class OpenType

    java.lang.Object
      |
      +--javax.management.openmbean.OpenType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ArrayType, CompositeType, SimpleType, TabularType

public abstract class OpenType
extends java.lang.Object
implements java.io.Serializable

The `OpenType` class is the parent abstract class of all classes which describe the actual open type of open data values.

An open type is defined by:

- the fully qualified Java class name of the open data values this type describes; note that only a limited set of Java classes is allowed for open data values (see `ALLOWED_CLASSNAMES`),
- its name,
- its description.

Author:
  Young Yang
See Also:
  Serialized Form

Field Summary
`static java.lang.String[]` | `ALLOWED_CLASSNAMES` List of the fully qualified names of the Java classes allowed for open data values.
`protected static java.lang.String` | `BIGDECIMAL_CLASSNAME`
`protected static java.lang.String` | `BIGINTEGER_CLASSNAME`
`protected static java.lang.String` | `BOOLEAN_CLASSNAME`
`protected static java.lang.String` | `BYTE_CLASSNAME`
`protected static java.lang.String` | `CHARACTER_CLASSNAME`
`protected static java.lang.String` | `COMPOSITEDATA_CLASSNAME`
`protected static java.lang.String` | `DATE_CLASSNAME`
`protected static java.lang.String` | `DOUBLE_CLASSNAME`
`protected static java.lang.String` | `FLOAT_CLASSNAME`
`protected static java.lang.String` | `INTEGER_CLASSNAME`
`protected static java.lang.String` | `LONG_CLASSNAME`
`protected static java.lang.String` | `OBJECTNAME_CLASSNAME`
`protected static java.lang.String` | `SHORT_CLASSNAME`
`protected static java.lang.String` | `STRING_CLASSNAME`
`protected static java.lang.String` | `TABULARDATA_CLASSNAME`
`protected static java.lang.String` | `VOID_CLASSNAME`

Constructor Summary
`protected` | `OpenType(java.lang.String className, java.lang.String typeName, java.lang.String description)` Constructs an `OpenType` instance (actually a subclass instance as `OpenType` is abstract), checking for the validity of the given parameters.

Method Summary
`abstract boolean` | `equals(java.lang.Object obj)` Compares the specified `obj` parameter with this open type instance for equality.
`java.lang.String` | `getClassName()` Returns the fully qualified Java class name of the open data values this open type describes.
`java.lang.String` | `getDescription()` Returns the text description of this `OpenType` instance.
`java.lang.String` | `getTypeName()` Returns the name of this `OpenType` instance.
`abstract int` | `hashCode()`
`boolean` | `isArray()` Returns `true` if the open data values this open type describes are arrays, `false` otherwise.
`abstract boolean` | `isValue(java.lang.Object obj)` Tests whether obj is a value for this open type.
`abstract java.lang.String` | `toString()` Returns a string representation of this open type instance.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### VOID_CLASSNAME

    protected static final java.lang.String VOID_CLASSNAME

### BOOLEAN_CLASSNAME

    protected static final java.lang.String BOOLEAN_CLASSNAME

### CHARACTER_CLASSNAME

    protected static final java.lang.String CHARACTER_CLASSNAME

### BYTE_CLASSNAME

    protected static final java.lang.String BYTE_CLASSNAME

### SHORT_CLASSNAME

    protected static final java.lang.String SHORT_CLASSNAME

### INTEGER_CLASSNAME

    protected static final java.lang.String INTEGER_CLASSNAME

### LONG_CLASSNAME

    protected static final java.lang.String LONG_CLASSNAME

### FLOAT_CLASSNAME

    protected static final java.lang.String FLOAT_CLASSNAME

### DOUBLE_CLASSNAME

    protected static final java.lang.String DOUBLE_CLASSNAME

### STRING_CLASSNAME

    protected static final java.lang.String STRING_CLASSNAME

### BIGDECIMAL_CLASSNAME

    protected static final java.lang.String BIGDECIMAL_CLASSNAME

### BIGINTEGER_CLASSNAME

    protected static final java.lang.String BIGINTEGER_CLASSNAME

### OBJECTNAME_CLASSNAME

    protected static final java.lang.String OBJECTNAME_CLASSNAME

### COMPOSITEDATA_CLASSNAME

    protected static final java.lang.String COMPOSITEDATA_CLASSNAME

### TABULARDATA_CLASSNAME

    protected static final java.lang.String TABULARDATA_CLASSNAME

### DATE_CLASSNAME

    protected static final java.lang.String DATE_CLASSNAME

### ALLOWED_CLASSNAMES

    public static final java.lang.String[] ALLOWED_CLASSNAMES

  List of the fully qualified names of the Java classes allowed for open data values. A multidimensional array of any one of these classes is also an allowed for open data values.

      ALLOWED_CLASSNAMES = {
         "java.lang.Void",
         "java.lang.Boolean",
         "java.lang.Character",
         "java.lang.Byte",
         "java.lang.Short",
         "java.lang.Integer",
         "java.lang.Long",
         "java.lang.Float",
         "java.lang.Double",
         "java.lang.String",
         "java.math.BigDecimal",
         "java.math.BigInteger",
         "java.util.Date",
         "javax.management.ObjectName",
         CompositeData.class.getName(),
         TabularData.class.getName() } ;

Constructor Detail

### OpenType

    protected OpenType(java.lang.String className,
                       java.lang.String typeName,
                       java.lang.String description)
                throws OpenDataException

  Constructs an `OpenType` instance (actually a subclass instance as `OpenType` is abstract), checking for the validity of the given parameters. The validity constraints are described below for each parameter.

Parameters:
  `className` - The fully qualified Java class name of the open data values this open type describes. The valid Java class names allowed for open data values are listed in `ALLOWED_CLASSNAMES`. A multidimensional array of any one of these classes is also an allowed class, in which case the class name follows the rules defined by the method `getName` of `java.lang.Class`. For example, a 3-dimensional array of Strings has for class name "`[[[Ljava.lang.String;`" (without the quotes).
  `typeName` - The name given to the open type this instance represents; cannot be a null or empty string.
  `description` - The human readable description of the open type this instance represents; cannot be a null or empty string.
Throws:
  `java.lang.IllegalArgumentException` - if className, typeName or description is a null or empty string
  `OpenDataException` - if className is not one of the allowed Java class names for open data

Method Detail

### getClassName

    public java.lang.String getClassName()

  Returns the fully qualified Java class name of the open data values this open type describes. The only possible Java class names for open data values are listed in `ALLOWED_CLASSNAMES`. A multidimensional array of any one of these classes is also an allowed class, in which case the class name follows the rules defined by the method `getName` of `java.lang.Class`. For example, a 3-dimensional array of Strings has for class name "`[[[Ljava.lang.String;`" (without the quotes).

  Returns:
    the class name.

### getTypeName

    public java.lang.String getTypeName()

  Returns the name of this `OpenType` instance.

  Returns:
    the type name.

### getDescription

    public java.lang.String getDescription()

  Returns the text description of this `OpenType` instance.

  Returns:
    the description.

### isArray

    public boolean isArray()

  Returns `true` if the open data values this open type describes are arrays, `false` otherwise.

  Returns:
    true if this is an array type.

### isValue

    public abstract boolean isValue(java.lang.Object obj)

  Tests whether obj is a value for this open type.

  Parameters:
    `obj` - the object to be tested for validity.
  Returns:
    `true` if obj is a value for this open type, `false` otherwise.

### equals

    public abstract boolean equals(java.lang.Object obj)

  Compares the specified `obj` parameter with this open type instance for equality.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to compare to.
  Returns:
    true if this object and `obj` are equal.

### hashCode

    public abstract int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public abstract java.lang.String toString()

  Returns a string representation of this open type instance.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD